patch <<EOF
--- kaffe/kaffevm/Makefile.in~	Wed Feb 26 06:05:43 1997
+++ kaffe/kaffevm/Makefile.in	Sat Mar  8 08:34:00 1997
@@ -74,7 +74,7 @@
 		\$(LN) \$(LIB) \$(LLIB)
 
 \$(LIB):		\$(OBJECT) lib.exp
-		@LINKVMLIB@
+		@LINKVMLIB@ @NET_LIBRARIES@
 
 .c\$(OBJEXT):
 		\$(CC) \$(ALL_CFLAGS) -c \$(PIC) \$<
--- kaffe/kaffevm/baseClasses.c~	Sat Mar 15 19:33:04 1997
+++ kaffe/kaffevm/baseClasses.c	Fri Mar 21 19:38:05 1997
@@ -22,6 +22,7 @@
 #include "constants.h"
 #include "classMethod.h"
 #include "baseClasses.h"
+#include "thread.h"
 #include "lookup.h"
 #include "slots.h"
 #include "machine.h"
--- kaffe/kaffevm/classMethod.c~	Thu Mar 20 07:09:14 1997
+++ kaffe/kaffevm/classMethod.c	Fri Mar 21 19:40:33 1997
@@ -28,6 +28,7 @@
 #include "file.h"
 #include "readClass.h"
 #include "baseClasses.h"
+#include "thread.h"
 #include "itypes.h"
 #include "errors.h"
 #include "exception.h"
--- config/alpha/jit.h~	Thu Mar 13 19:57:41 1997
+++ config/alpha/jit.h	Fri Mar 21 19:44:51 1997
@@ -26,8 +26,9 @@
 #define CALL_KAFFE_FUNCTION(meth, obj)                                  \\
 	alpha_call_kaffe_function(meth, obj)
 
-extern jword alpha_call_kaffe_function_varargs(Method*, Hjava_lang_Object*, va_list);
-extern jword alpha_call_kaffe_function(Method*, Hjava_lang_Object*);
+struct Hjava_lang_Object;
+extern jword alpha_call_kaffe_function_varargs(Method*, struct Hjava_lang_Object*, va_list);
+extern jword alpha_call_kaffe_function(Method*, struct Hjava_lang_Object*);
 
 
 /**/
EOF
